using SteUp.Shared.Core.BarcodeReader.Dto;

namespace SteUp.Shared.Core.BarcodeReader.Contracts;

public interface IBarcodeReaderService
{
    bool IsRightAdapter();
    void Init(Action onDeviceReady);
    void Deinit();
    void Register(Action<BarcodeScanDto> onScanSuccessful, Action<Exception> onScanFailed);
    string GetAdapterName();
    void OnKeyEvent(object keyEvent);
    void ChangeSettings(List<(string Key, object Value)> settings);
}